# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetComponentValue

Function

Adds a component to a Field.

Syntax
`
#include <dx/dx.h>
`

Field DXSetComponentValue(Field f, char *name, Object value)

Functional Details

Sets the `name` component of Field `f` to `value`. If `name` is `NULL`, `value` can be accessed only by `DXGetEnumeratedComponentValue`. If `value` is `NULL`, the `name` component will be deleted.

When `DXSetComponentValue` overwrites an existing component, all attributes associated with the prior value are copied to the new `value` and they supersede any attributes already attached to the new `value`. If this result is not the one desired, the earlier component value should be removed prior to setting the new one.

Components of Fields are typically Arrays and contain geometrical and topological information and associated data. These components are interrelated (e.g., an association of data with either the points defined in the "positions" component or the elements defined in the "connections" component). Their relationships are specified through attributes, which should be set as the components are inserted into the Field. After all components are inserted, call `DXEndField`, which will add any additional attributes (and ancillary components) that are necessary.

Return Value

Returns `f` or returns `NULL` and sets an error code.

See Also

`DXDeleteComponent, DXGetComponentValue, DXGetEnumeratedComponentValue, DXNewField, DXSetComponentAttribute`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]